QXmpp: QXmppJinglePayloadType Class Reference

QXmpp Version:0.7.5

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Member Functions | List of all members
QXmppJinglePayloadType Class Reference

The QXmppJinglePayloadType class represents a payload type as specified by XEP-0167: Jingle RTP Sessions and RFC 5245. More...

`#include <QXmppJingleIq.h>`

## Public Member Functions
unsigned char | channels () const
void | setChannels (unsigned char channels)
unsigned int | clockrate () const
void | setClockrate (unsigned int clockrate)
unsigned char | id () const
void | setId (unsigned char id)
unsigned int | maxptime () const
void | setMaxptime (unsigned int maxptime)
QString | name () const
void | setName (const QString &name)
QMap< QString, QString > | parameters () const
| Returns the payload parameters.
void | setParameters (const QMap< QString, QString > &parameters)
| Sets the payload parameters.
unsigned int | ptime () const
void | setPtime (unsigned int ptime)
bool | operator== (const QXmppJinglePayloadType &other) const

## Detailed Description

The QXmppJinglePayloadType class represents a payload type as specified by XEP-0167: Jingle RTP Sessions and RFC 5245.

## Member Function Documentation

unsigned char QXmppJinglePayloadType::channels | ( |  | ) | const

Returns the number of channels (e.g. 1 for mono, 2 for stereo).

unsigned int QXmppJinglePayloadType::clockrate | ( |  | ) | const

Returns the clockrate in Hz, i.e. the number of samples per second.

unsigned char QXmppJinglePayloadType::id | ( |  | ) | const

Returns the payload type identifier.

unsigned int QXmppJinglePayloadType::maxptime | ( |  | ) | const

Returns the maximum packet time in milliseconds.

QString QXmppJinglePayloadType::name | ( |  | ) | const

Returns the payload type name.

bool QXmppJinglePayloadType::operator== | ( | const QXmppJinglePayloadType & | other | ) | const

Returns true if this QXmppJinglePayloadType and other refer to the same payload type.

Parameters

  other |

unsigned int QXmppJinglePayloadType::ptime | ( |  | ) | const

Returns the packet time in milliseconds (20 by default).

void QXmppJinglePayloadType::setChannels | ( | unsigned char | channels | ) |

Sets the number of channels (e.g. 1 for mono, 2 for stereo).

Parameters

  channels |

void QXmppJinglePayloadType::setClockrate | ( | unsigned int | clockrate | ) |

Sets the clockrate in Hz, i.e. the number of samples per second.

Parameters

  clockrate |

void QXmppJinglePayloadType::setId | ( | unsigned char | id | ) |

Sets the payload type identifier.

void QXmppJinglePayloadType::setMaxptime | ( | unsigned int | maxptime | ) |

Sets the maximum packet type in milliseconds.

Parameters

  maxptime |

void QXmppJinglePayloadType::setName | ( | const QString & | name | ) |

Sets the payload type name.

Parameters

  name |

void QXmppJinglePayloadType::setPtime | ( | unsigned int | ptime | ) |

Sets the packet time in milliseconds (20 by default).

Parameters

  ptime |

The documentation for this class was generated from the following files:

- QXmppJingleIq.h
- QXmppJingleIq.cpp